{% extends 'base.html' %}

{% load static %}

{% block title %}Join game{% endblock %}

{% block stylesheet %}
<link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
{% endblock %}

{% block content %}
    <div class="row justify-content-center">
        <div class="card">
            <div class="card-body">
                <h3 class="card-title">Join game</h3>
            {% if arr|length != 0 %}
                <table class="table">
                <thead>
                <tr>
                    <th>
                        Name
                    </th>
                    <th>
                        Players
                    </th>
                    <th>
                        Creator
                    </th>
                    <th></th>
                </tr>
                </thead>
                <tbody id="table_body">
                {% for entry in arr %}
                    <tr>
                        <td>
                            {{ entry.name }}
                        </td>
                        <td>
                            {{ entry.current_players }}/{{ entry.players_limit }}
                        </td>
                        <td>
                            {{ entry.creator }}
                        </td>
                        <td>
                            <a class="button" href="{% url 'game' entry.id %}">Join</a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
                </table>
            {% else %}
              <h5 style="text-align: center;">
                <br/>
              There are currently no available games available.<br/><br/>
              You can create a game<br/><br/>
                <a href="/create_game">
              <button
                class="btn btn-primary ">
                Here
              </button>
              </a>
              </h5>

            {% endif %}
            </div>
        </div>
    </div>

    <script>
        setInterval(function() {
            $.ajax({
                type: "GET",
                url: {% url 'join_game' %}
            }).done(function (response) {
                $('#table_body').html(response)
            })
        }, 1000)
    </script>

{% endblock %}
